<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>GeneralParticleSourceMessenger Member List</h1>This is the complete list of members for <a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#acca9456f294a098be11dc8ec018bd32a">getA</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#af79166e4e160b05cdf9cb781dff93f8b">getB</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#addd5dcf2c6bcc39dce6a53f6140af9aa">getBetaGammaMax</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a067b61ab8b170fec17d96fbd50fa2f5b">getBetaGammaMin</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#ab7f85d8770aac9d1e4fd2789a5e9dc85">getDiceBetaGamma</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a843fec71b3a7682b682b7c0f66eeac73">getEMax</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#af6dc3bb0b3df66854e02134c50ee8540">getEMin</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#ab7469650cbbb9a6a0c6b1265c388eb1d">getInstance</a>()</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a4d9055d651da593d0ac2300b8d96fb3d">getNParticles</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a6d9db0467f3b4d5aef53108f77417417">getParticleName</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#ade5a4e3b137a00b6276db050001ce015">getPhiMax</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a1c8b35418f9b1feb17a77bcb4b98f400">getPhiMin</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a810523d8e5a73611b51f1395c6595785">getPolar</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a36d0944dd49fb73fa9ad8e7fff5ca4ed">getPos</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#aeda4d941258bd20fa2cda3f8ad509502">getPosDist</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a446d0b8d73f07d17bb08222a02f1152f">getPosGridDistA</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a1f485b76bf5a442cc115ffb4ae97ae8b">getRMax</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a6ee537925f101c2013de929cd0632f1d">getRMin</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a7498aae673e538c50514bb909bf32a47">getShape</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a746438043a5434e933441c10051716d5">getSourceSurfaceNormal</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a3d62c17f2d5b26210c3ce7ccb251ec61">getThetaMax</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#add206c2562da03d03d079c06afbc466a">getThetaMin</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a7339f41fe2c97fb3225e53f1ef1827b3">getTMax</a>()</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a12ea42d77f67dc9a62d2c6ed790ca147">getTMin</a>()</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#aaa4ccc37ec3a7f2016be705aba49b2fe">getVerbose</a>() const </td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#aee040a70076cb7c93714e7d90c640703">INSTANCE</a></td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [private, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a87eca7af142037cc419220155a5734c8">MACRO_FILE_NAME</a></td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a5682131934e5636797f91f07b08b4358">POS_DIST_GRID</a></td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a063d4cf8efc145b4e9334566e4068a0b">POS_DIST_UNIFORM</a></td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a8d2b599b08fcc283249440170adf330e">setA</a>(double a)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a94dbc972af5fa224ff7c74a7819739ea">setB</a>(double b)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#ad18a60554506d9be99ed21216d08c63b">setBetaGammaMax</a>(double betaGammaMax)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#aafb1205d8ef2abadcd60e301f571e38f">setBetaGammaMin</a>(double betaGammaMin)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a89dc52f44e8b7473600c767cbec90b45">setDiceBetaGamma</a>(bool diceBetaGamma)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a9762faf52febaf4955d5ebc5b1dfbe3d">setEMax</a>(double eMax)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#af9779abd2146f1224ab48b97030510dc">setEMin</a>(double eMin)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a2ddaa26652fc6c839673467d55ee2129">setNParticles</a>(int nParticles)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a538875f5e7f735da464b43294f6cf293">setParticleName</a>(G4String particleName)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a9d152ef3bc89c652ea06d05742aa9352">setPhiMax</a>(double phiMax)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a6b8cf6eb9625dc033dc273a853f62bd4">setPhiMin</a>(double phiMin)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a1f8e424f6b7049532a46c7ec41d629e4">setPolar</a>(double polar)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a1dc70fbdac4b0ab52ee893d286d70fc1">setPos</a>(G4ThreeVector pos)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#adc4553bd7227b98240cda3404f174ae9">setPosDist</a>(G4String posDist)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a5e730fb4164a788a79713849f6641786">setPosGridDistA</a>(double posGridDistA)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a36c8d661e4bddcc9fff4547ce5650db2">setRMax</a>(double rMax)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a23c5d59de1642bee336fec076f4d98c4">setRMin</a>(double rMin)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#ac274cd3f5257e28768e81ac5fb9a010d">setShape</a>(G4String shape)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#abd8bebf64ea8fe85db2fcc2ba3359859">setSourceSurfaceNormal</a>(G4ThreeVector sourceSurfaceNormal)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a01dba5ac5c2ef17fac2b733669da119e">setThetaMax</a>(double thetaMax)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#adcc7c112b670ccac01d06b50e87c1626">setThetaMin</a>(double thetaMin)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a3a7ad0c91b00b373905818d640fa0998">setTMax</a>(double tMax)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a3b90479750ac1b2855bd2a303fcc352c">setTMin</a>(double tMin)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a17a8516ffa1998b87028ee1ba6948882">setVerbose</a>(int verbose)</td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a21c8002ce0f2998f8ea64e8a53834b30">SHAPE_CIRCLE_NAME</a></td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#ac44b9c0643e0f1796f1a64f858f8c22f">SHAPE_HEXAGON_NAME</a></td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classGeneralParticleSourceMessenger.html#a1c1754477b742bd444b5c80c64e1b54f">SHAPE_RECT_NAME</a></td><td><a class="el" href="classGeneralParticleSourceMessenger.html">GeneralParticleSourceMessenger</a></td><td><code> [static]</code></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 22 Jul 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
